iSulad/0224-change-pull-registry-to-hub.oepkgs.net.patch
2024-10-18 10:47:42 +08:00

124 lines
5.3 KiB
Diff

From 118f068e0709c1975881d45c60615b68b9328a19 Mon Sep 17 00:00:00 2001
From: zhongtao <zhongtao17@huawei.com>
Date: Fri, 6 Sep 2024 17:45:58 +0800
Subject: [PATCH 224/226] change pull registry to hub.oepkgs.net
Signed-off-by: zhongtao <zhongtao17@huawei.com>
---
CI/make-and-install.sh | 4 ++--
.../container_cases/test_data/daemon.json | 2 +-
CI/test_cases/image_cases/image_digest.sh | 6 ++---
CI/test_cases/image_cases/registry.sh | 22 +++++++++----------
4 files changed, 17 insertions(+), 17 deletions(-)
diff --git a/CI/make-and-install.sh b/CI/make-and-install.sh
index 819f2752..73e6e3ff 100755
--- a/CI/make-and-install.sh
+++ b/CI/make-and-install.sh
@@ -98,7 +98,7 @@ cmake -DLIB_INSTALL_DIR=${restbuilddir}/lib -DCMAKE_INSTALL_PREFIX=${restbuilddi
make -j $(nproc)
make install
sed -i 's/"log-driver": "stdout"/"log-driver": "file"/g' ${restbuilddir}/etc/isulad/daemon.json
-sed -i "/registry-mirrors/a\ \"https://3laho3y3.mirror.aliyuncs.com\"" ${restbuilddir}/etc/isulad/daemon.json
+sed -i "/registry-mirrors/a\ \"https://hub.oepkgs.net\"" ${restbuilddir}/etc/isulad/daemon.json
#build grpc version
cd $ISULAD_COPY_PATH
@@ -113,4 +113,4 @@ fi
make -j $(nproc)
make install
sed -i 's/"log-driver": "stdout"/"log-driver": "file"/g' ${builddir}/etc/isulad/daemon.json
-sed -i "/registry-mirrors/a\ \"https://3laho3y3.mirror.aliyuncs.com\"" ${builddir}/etc/isulad/daemon.json
+sed -i "/registry-mirrors/a\ \"https://hub.oepkgs.net\"" ${builddir}/etc/isulad/daemon.json
diff --git a/CI/test_cases/container_cases/test_data/daemon.json b/CI/test_cases/container_cases/test_data/daemon.json
index ab7d0360..20b001c0 100644
--- a/CI/test_cases/container_cases/test_data/daemon.json
+++ b/CI/test_cases/container_cases/test_data/daemon.json
@@ -24,7 +24,7 @@
"overlay2.override_kernel_check=true"
],
"registry-mirrors": [
- "https://3laho3y3.mirror.aliyuncs.com"
+ "https://hub.oepkgs.net"
],
"insecure-registries": [
],
diff --git a/CI/test_cases/image_cases/image_digest.sh b/CI/test_cases/image_cases/image_digest.sh
index cc8b0e48..20774e07 100755
--- a/CI/test_cases/image_cases/image_digest.sh
+++ b/CI/test_cases/image_cases/image_digest.sh
@@ -25,9 +25,9 @@ source ../helpers.sh
function test_image_with_digest()
{
local ret=0
- local image="3laho3y3.mirror.aliyuncs.com/library/busybox"
- local image2="3laho3y3.mirror.aliyuncs.com/library/ubuntu"
- local image_digest="3laho3y3.mirror.aliyuncs.com/library/busybox@sha256:62ffc2ed7554e4c6d360bce40bbcf196573dd27c4ce080641a2c59867e732dee"
+ local image="hub.oepkgs.net/library/busybox"
+ local image2="hub.oepkgs.net/library/ubuntu"
+ local image_digest="hub.oepkgs.net/library/busybox@sha256:6066ca124f8c2686b7ae71aa1d6583b28c6dc3df3bdc386f2c89b92162c597d9"
local test="pull && inspect && tag image with digest test => (${FUNCNAME[@]})"
msg_info "${test} starting..."
diff --git a/CI/test_cases/image_cases/registry.sh b/CI/test_cases/image_cases/registry.sh
index 3db3f2c1..ad3276fe 100755
--- a/CI/test_cases/image_cases/registry.sh
+++ b/CI/test_cases/image_cases/registry.sh
@@ -81,8 +81,8 @@ function isula_pull()
# isula pull docker.io/library/busybox:latest
# [[ $? -ne 0 ]] && msg_err "${FUNCNAME[0]}:${LINENO} - --pull docker.io/library/busybox:latest failed" && ((ret++))
- isula pull 3laho3y3.mirror.aliyuncs.com/library/busybox
- fn_check_eq "$?" "0" "isula pull 3laho3y3.mirror.aliyuncs.com/library/busybox"
+ isula pull hub.oepkgs.net/library/busybox
+ fn_check_eq "$?" "0" "isula pull hub.oepkgs.net/library/busybox"
rm -f /etc/isulad/daemon.json.bak
cp /etc/isulad/daemon.json /etc/isulad/daemon.json.bak
@@ -101,7 +101,7 @@ function isula_pull()
cp /etc/isulad/daemon.json.bak /etc/isulad/daemon.json
rm -f /etc/isulad/daemon.json.bak
- isula rmi 3laho3y3.mirror.aliyuncs.com/library/busybox
+ isula rmi hub.oepkgs.net/library/busybox
check_valgrind_log
fn_check_eq "$?" "0" "stop isulad with check valgrind"
@@ -112,12 +112,12 @@ function isula_pull()
function isula_login()
{
- isula login -u test -p test 3laho3y3.mirror.aliyuncs.com
- fn_check_eq "$?" "0" "isula login -u test -p test 3laho3y3.mirror.aliyuncs.com"
+ isula login -u isulaci -p iSula123 hub.oepkgs.net
+ fn_check_eq "$?" "0" "isula login -u isulaci -p iSula123 hub.oepkgs.net"
# double login for memory leak check
- isula login -u test -p test 3laho3y3.mirror.aliyuncs.com
- fn_check_eq "$?" "0" "isula login -u test -p test 3laho3y3.mirror.aliyuncs.com"
+ isula login -u isulaci -p iSula123 hub.oepkgs.net
+ fn_check_eq "$?" "0" "isula login -u isulaci -p iSula123 hub.oepkgs.net"
# use username/password to pull busybox for memmory leak check
isula pull busybox
@@ -126,12 +126,12 @@ function isula_login()
function isula_logout()
{
- isula logout 3laho3y3.mirror.aliyuncs.com
- fn_check_eq "$?" "0" "isula logout 3laho3y3.mirror.aliyuncs.com"
+ isula logout hub.oepkgs.net
+ fn_check_eq "$?" "0" "isula logout hub.oepkgs.net"
# double logout for memory leak check
- isula logout 3laho3y3.mirror.aliyuncs.com
- fn_check_eq "$?" "0" "isula logout 3laho3y3.mirror.aliyuncs.com"
+ isula logout hub.oepkgs.net
+ fn_check_eq "$?" "0" "isula logout hub.oepkgs.net"
}
function do_test_t()
--
2.33.0